# TWFPointList Class Reference

Inheritance diagram for TWFPointList:

List of all members.

## Public Member Functions
| TWFPointList ()
void | Clear ()
int32 | GetPointsCount () const
const TVector3 & | GetPointRef (int32 inPointIndex) const
void | PreAllocatePoints (int32 inPointsCount)
void | AddPoint (const TVector3 &pt)
void | AllocatePoints (int32 inPointsCount)
TVector3 & | GetPointRef (int32 inPointIndex)
void | SetHandleType (EWFHandleType inHandleType)
EWFHandleType | GetHandleType () const
void | SetIsExcludedFromZBuffer (boolean inExcluded)
boolean | GetIsExcludedFromZBuffer () const
void | SetIsSelected (boolean inSelected)
boolean | GetIsSelected () const
void | SetDrawWBProjs (boolean drawProjections)
boolean | GetDrawWBProjs () const
## Protected Attributes
EWFHandleType | fHandleType
| The type of handle to use to display all the points.
TMCArray< TVector3 > | fLocalPoints
| The points in object's local coordinates.
boolean | fIsExcludedFromZBuffer
boolean | fDrawProjections
boolean | fIsSelected

## Detailed Description

A list of points (in local coordinates) with a single handle style to draw them (only one style for hardware optimisation)

## Constructor & Destructor Documentation

TWFPointList::TWFPointList | ( |  | ) | `[inline]`

## Member Function Documentation

void TWFPointList::AddPoint | ( | const TVector3 & | pt | ) | `[inline]`

Add a point in the list. You could call PreAllocatePoints before adding points, but you don't have to.

Parameters:

  | pt | The point to add.

void TWFPointList::AllocatePoints | ( | int32 | inPointsCount | ) | `[inline]`

Create a list with a special number of points. To access to the point use GetPointRef.

Parameters:

  | inPointsCount | The number of points.

void TWFPointList::Clear | ( |  | ) | `[inline]`

Reimplemented in TWFConnectionList.

boolean TWFPointList::GetDrawWBProjs | ( |  | ) | const`[inline]`

Return whether the projections of this list of points is drawn or not

See also:
  SetDrawWBProjs

EWFHandleType TWFPointList::GetHandleType | ( |  | ) | const`[inline]`

Get the handle type of the points.

Returns:
  The current handle type.

boolean TWFPointList::GetIsExcludedFromZBuffer | ( |  | ) | const`[inline]`

Return the exclusion from Z buffer status of the points in the list.

See also:
  SetIsExcludedFromZBuffer

boolean TWFPointList::GetIsSelected | ( |  | ) | const`[inline]`

TVector3& TWFPointList::GetPointRef | ( | int32 | inPointIndex | ) | `[inline]`

Get a reference to a point in the list.

Parameters:

  | inPointIndex | The point's index.

const TVector3& TWFPointList::GetPointRef | ( | int32 | inPointIndex | ) | const`[inline]`

Get a point from the list.

Parameters:

  | inPointIndex | The point's index.

int32 TWFPointList::GetPointsCount | ( |  | ) | const`[inline]`

Get the number of point in this point list

Returns:
  the count of points

void TWFPointList::PreAllocatePoints | ( | int32 | inPointsCount | ) | `[inline]`

Prepare space for points in this list. After that you can use AddPoint.

Parameters:

  | inPointsCount | The number of points there will be here.

void TWFPointList::SetDrawWBProjs | ( | boolean | drawProjections | ) | `[inline]`

Sets if the wireframe should be drawn on the working box planes.

Parameters:

  | drawProjections | True to draw projections

void TWFPointList::SetHandleType | ( | EWFHandleType | inHandleType | ) | `[inline]`

Set the handle type of the points in this list.

Parameters:

  | inHandleType | The new handle type.

void TWFPointList::SetIsExcludedFromZBuffer | ( | boolean | inExcluded | ) | `[inline]`

When points are excluded from Z buffer they are displayed even when behind other objects.

Parameters:

  | inExcluded | True to exclude from Z buffer.

void TWFPointList::SetIsSelected | ( | boolean | inSelected | ) | `[inline]`

## Member Data Documentation

boolean TWFPointList::fDrawProjections`[protected]`

EWFHandleType TWFPointList::fHandleType`[protected]`

The type of handle to use to display all the points.

boolean TWFPointList::fIsExcludedFromZBuffer`[protected]`

boolean TWFPointList::fIsSelected`[protected]`

TMCArray<TVector3> TWFPointList::fLocalPoints`[protected]`

The points in object's local coordinates.

The documentation for this class was generated from the following file:

- I3DWireFrameSet.h